---
title: Le Boop! blog
template: serie
---

<p>
    Fin 2018, je quittais mon emploi avec l’objectif de travailler sur
    des projets qui me tiendraient à cœur. Ce départ était l’occasion
    pour moi de refaire mon site Internet pour le faire correspondre
    totalement à mes aspirations et me servir de vitrine pour des
    projets futurs.
</p>

<p>
    Dans cette optique, je souhaitais un site « <a href="https://fr.wikipedia.org/wiki/Low-tech">basse-technologie</a> »,
    minimaliste et construit de manière itérative. La première brique
    de ce site devait être un générateur de sites statiques appelé
    <span lang="en">Boop!</span> (avec le point d’exclamation).
</p>

<p>
    Cette série d’articles est plutôt technique et retrace la création de ce
    générateur. Une seconde série décrit <a href="conception-du-site.html">la
    démarche de conception du site</a> en s’axant sur mes motivations
    personnelles.
</p>

<p>
    Le résultat final est un programme de quelques 800 lignes de code, placé
    sous licence libre <abbr lang="en">MIT</abbr> et <a href="https://framagit.org/marienfressinaud/boop">disponible
    sur Framagit</a>.
</p>
